Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class InputRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.InputRendererBase

Direct Known Subclasses:
  AutocompleteRendererBase, CalendarRendererBase, EditorRendererBase, InplaceInputRendererBase, InputNumberSliderRendererBase, InputNumberSpinnerRenderer, SelectManyRendererBase, SelectRendererBase

    public class InputRendererBase

extends RendererBase

Author:
  Nick Belaevski - nbelaevski@exadel.com created 23.01.2007

Constructor Summary
`InputRendererBase()`

Method Summary
`protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom decoding of concrete renderer.
`java.lang.Object` | `getConvertedValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object val)`
`java.lang.String` | `getInputValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputRendererBase

    public InputRendererBase()

Method Detail

### doDecode

    protected void doDecode(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)

  Description copied from class: `RendererBase`
  Template method for custom decoding of concrete renderer. All parameters checking if performed in original `decode` method.

  Overrides:
    `doDecode` in class `RendererBase`

### getConvertedValue

    public java.lang.Object getConvertedValue(javax.faces.context.FacesContext context,
                                              javax.faces.component.UIComponent component,
                                              java.lang.Object val)
                                       throws javax.faces.convert.ConverterException

  Overrides:
    `getConvertedValue` in class `javax.faces.render.Renderer`
  Throws:
    `javax.faces.convert.ConverterException`

### getInputValue

    public java.lang.String getInputValue(javax.faces.context.FacesContext context,
                                          javax.faces.component.UIComponent component)
                                   throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.